Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(Résolu)[System] emerge @world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Sun Sep 04, 2011 7:30 pm    Post subject: (Résolu)[System] emerge @world Reply with quote

Bonjour,

Après avoir faire un emerge --sync j'ai voulu faire un emerge -NuaD @world

et il me jette ce message :


Quote:
!!! One or more updates have been skipped due to a dependency conflict:

x11-base/xorg-server:0

(x11-base/xorg-server-1.11.0::gentoo, ebuild scheduled for merge) conflicts with
<x11-base/xorg-server-1.10.99 required by (x11-drivers/nvidia-drivers-275.09.07::gentoo, installed)


Je comprends bien qu'il ne peut pas installer xorg-server, mais pourquoi les drivers nvidia ?? sont-il incompatible avec la 1.11 ?

que dois-je faire si je veux mettre à jour xorg ?

Cordialement


Last edited by bouriquo on Mon Sep 05, 2011 1:09 pm; edited 1 time in total
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Sun Sep 04, 2011 9:18 pm    Post subject: Reply with quote

Bah tu as bien interprété la réponse oui, les derniers driver nvidia sont incompatibles avec la dernière version de X.

Deux solutions :
1) tu oublies nvidia, tu passes au driver "nouveau"
2) tu attends que le driver soit compatible.
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Mon Sep 05, 2011 7:00 am    Post subject: Reply with quote

Ok,

BIen compris merci guilc ^^
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 430

PostPosted: Mon Sep 05, 2011 7:13 am    Post subject: Reply with quote

Au pire en prenant le .run directement sur le site d'nvidia, tu auras une version bien plus récente des drivers (280.13). Peut-être est-ce compatible.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Mon Sep 05, 2011 7:51 am    Post subject: Reply with quote

Oui c'est sur mais bon vu qu'il y a un ebuild autant passé par la :D
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 430

PostPosted: Mon Sep 05, 2011 8:00 am    Post subject: Reply with quote

Dans ce cas, fait toi un PORTDIR_OVERLAY local, et modifie la version à la main.

Mais je conseillerais plus un passage à nouveau, également.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Mon Sep 05, 2011 8:12 am    Post subject: Reply with quote

Oui j'hésite car si j'ai bien compris y a pas le support 3d avec nouveau ?
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 430

PostPosted: Mon Sep 05, 2011 8:29 am    Post subject: Reply with quote

Si, mais pas aussi bon qu'avec nouveau il me semble. (Par exemple, je fais tourner Minecraft avec nouveau.)
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Mon Sep 05, 2011 8:41 am    Post subject: Reply with quote

bouriquo wrote:
Oui j'hésite car si j'ai bien compris y a pas le support 3d avec nouveau ?

Sisi. Certes moins performant, mais suivant ce que tu fais de ton linux, c'est plus que largement suffisant.
Personnellement, ne jouant pas avec mon PC, le blob propriétaire n'est plus qu'un mauvais souvenir depuis, ouh là, très longtemps (portage me dit que mon dernier emerge de nvidia-drivers date de mai 2010). Depuis ce moment, j'utilise "nouveau" sans aucun souci.

Après, si tu fais du jeu ou des applis 3D, c'est certain que cela risque d'être insuffisant (mais à tester tout de même !)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
mp342
Apprentice
Apprentice


Joined: 03 Aug 2010
Posts: 165
Location: France

PostPosted: Mon Sep 05, 2011 12:29 pm    Post subject: Reply with quote

Si tu as une carte nvidia récente, il y a toute une série de fonctionnalités que tu va perdre :
Décodage des vidéos (NVidia purevideo avec VDPAU)
Sortie audio HDMI
...

Tu as le détail ici :
http://nouveau.freedesktop.org/wiki/FeatureMatrix
(en anglais mais c'est un tableau)
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Mon Sep 05, 2011 1:08 pm    Post subject: Reply with quote

Ok mp342,

merci pour le lien :) je sais pas si elle est récente mais c'est une carte mobile sur un dell e6520 mais j'ai besoin de la 3D donc je vais rester avec le proprio

Merci à tous de votre aide.

Et 1 problème résolu encore 2 autres lol
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum